<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("perm" . "s" => base64_decode("cG" . "Vy" . "bX" . "M="), "_c61345ccedc39c" . "1977427766275e2" . "da6" => base64_decode("aW1hZ2VfZ2FsbGV" . "yeQ=="), "_df945ac2fbdd1576202f" . "b48096eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX" . "2xpc3Q="), "_61a5ceb3470" . "19e37116d4d2" . "907163b82" => base64_decode("bWF" . "0Y2" . "hfY" . "Wxs"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_df945ac2fbdd1576202fb480" . "96eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c61345ccedc39c" . "1977427766275e2" . "da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["perm" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_61a5ceb347019e37116d4d2" . "907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}